package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.RayIns;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface RayInsDao {
    long count(@Param("rayId") Long rayId);

    List<RayIns> queryAllByLimit(@Param("rayId") Long rayId, @Param("pageable") Pageable pageable);

    RayIns queryById(@Param("id") Long id);

    List<RayIns> getByRayId(@Param("rayId") Long rayId);

    int insert(@Param("rayIns") RayIns rayIns);

    int update(@Param("rayIns") RayIns rayIns);

    List<RayIns> queryByRayInsIsNotTerminated();
}
